<mat-card>
  <div>
    <label class="btn btn-default">
      <input type="file" (change)="selectFile($event)" accept=".csv, .xml">
    </label>

    <button style="margin: 10px;" mat-raised-button color="primary" class="btn btn-success" [disabled]="!selectedFiles"
      (click)="upload()">Upload</button>

    <mat-progress-bar mode="determinate" [value]="progress.percentage"></mat-progress-bar>
  </div>
</mat-card>
<div style="margin: 10px;">
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <ng-container matColumnDef="referenceId">
      <th mat-header-cell *matHeaderCellDef> No. </th>
      <td mat-cell *matCellDef="let element"> {{element.referenceId}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="accountNumber">
      <th mat-header-cell *matHeaderCellDef> Account Number </th>
      <td mat-cell *matCellDef="let element"> {{element.accountNumber}} </td>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="description">
      <th mat-header-cell *matHeaderCellDef> Dscription </th>
      <td mat-cell *matCellDef="let element"> {{element.description}} </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="startBalance">
      <th mat-header-cell *matHeaderCellDef> Start Balance </th>
      <td mat-cell *matCellDef="let element"> {{element.startBalance}} </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="mutation">
      <th mat-header-cell *matHeaderCellDef> Mutation </th>
      <td mat-cell *matCellDef="let element"> {{element.mutation}} </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="endBalance">
      <th mat-header-cell *matHeaderCellDef> End Balance </th>
      <td mat-cell *matCellDef="let element"> {{element.endBalance}} </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="errorMessage">
      <th mat-header-cell *matHeaderCellDef> Error Message </th>
      <td mat-cell *matCellDef="let element" [style.color]="'red'"> {{element.errorMessage}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
</div>